# WinStd: winstd::CredFree_delete< _Ty > Struct Template Reference

winstd::CredFree_delete< _Ty > Struct Template Reference
Credentials API

Deleter for unique_ptr using CredFree. More...

`#include <WinStd/Cred.h>`

## Public Types

typedef CredFree_delete< _Ty > | _Myt
| This type.

## Public Member Functions

| CredFree_delete ()
| Default construct.
template<class _Ty2 >
| CredFree_delete (const CredFree_delete< _Ty2 > &)
| Construct from another CredFree_delete.
void | operator() (_Ty *_Ptr) const
| Delete a pointer. More...

## Detailed Description

template<class _Ty>
struct winstd::CredFree_delete< _Ty >

Deleter for unique_ptr using CredFree.

## Member Function Documentation

## operator()()

template<class _Ty >

void winstd::CredFree_delete< _Ty >::operator() | ( | _Ty * | _Ptr | ) | const

inline

Delete a pointer.

See also
  CredFree function

The documentation for this struct was generated from the following file:

- include/WinStd/Cred.h